class CollatzCalculator {
    companion object {
        fun computeStepCount(inpInt: Int): Int{
            require(inpInt > 0) {"Only natural numbers are allowed"}
            var temp = inpInt
            var steps: Int = 0
            while (temp != 1){
                if (temp %2 == 0) {
                    temp /= 2
                }
                else temp = temp*3 + 1
                steps++
            }
            return steps
        }
    }
}